"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

var _regenerator = _interopRequireDefault(require("@babel/runtime-corejs2/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime-corejs2/helpers/asyncToGenerator"));

var _path = _interopRequireDefault(require("path"));

var _transform = _interopRequireDefault(require("../util/transform"));

var _savePackage = _interopRequireDefault(require("../util/savePackage"));

module.exports =
/*#__PURE__*/
function () {
  var _freeze = (0, _asyncToGenerator2["default"])(
  /*#__PURE__*/
  _regenerator["default"].mark(function _callee(options) {
    var cwd, pkg, moduleNames, dirty;
    return _regenerator["default"].wrap(function _callee$(_context) {
      while (1) {
        switch (_context.prev = _context.next) {
          case 0:
            cwd = process.cwd();
            pkg = require(_path["default"].join(cwd, 'package.json'));
            moduleNames = options.moduleNames ? options.moduleNames.split(',') : null;
            dirty = (0, _transform["default"])([pkg.dependencies, pkg.devDependencies], function (name, version) {
              if (moduleNames && !moduleNames.find(function (moduleName) {
                return moduleName === name;
              })) {
                return version;
              }

              var mo = version.match(/^(?:[\^|\~])|(?:\>=?\s*)/);

              if (mo) {
                return version.slice(mo[0].length);
              }
            });

            if (dirty) {
              (0, _savePackage["default"])(pkg);
            }

            _context.next = 7;
            return dirty;

          case 7:
          case "end":
            return _context.stop();
        }
      }
    }, _callee);
  }));

  function freeze(_x) {
    return _freeze.apply(this, arguments);
  }

  return freeze;
}();
//# sourceMappingURL=freeze.js.map