"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

var _keys = _interopRequireDefault(require("@babel/runtime-corejs2/core-js/object/keys"));

module.exports = function (config) {
  return {
    entry: config.entry,
    output: config.output,
    target: config.target,
    devtool: config.devtool,
    resolve: config.resolve,
    cache: config.cache,
    bail: config.bail,
    stats: config.stats,
    node: config.node,
    plugins: (0, _keys["default"])(config.plugins).map(function (key) {
      return config.plugins[key];
    }),
    module: {
      rules: (0, _keys["default"])(config.module.rules).map(function (key) {
        return config.module.rules[key];
      })
    },
    externals: config.externals,
    devServer: config.devServer,
    mode: config.mode,
    optimization: config.optimization,
    _extends: config._extends,
    _resolved: true
  };
};
//# sourceMappingURL=parse.js.map