"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

var _crossSpawn = _interopRequireDefault(require("cross-spawn"));

var _logger = _interopRequireDefault(require("./logger"));

module.exports = function (cmd) {
  var args = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
  var opts = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : {};

  var command = _crossSpawn["default"].sync(cmd, args, opts);

  if (+command.status === 1) {
    if (command.stderr) {
      _logger["default"].fatal(opts.errMessage || command.stderr);
    }

    process.exit(1);
  }

  return command;
};
//# sourceMappingURL=exec.js.map