"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

var _defineProperty2 = _interopRequireDefault(require("@babel/runtime-corejs2/core-js/object/define-property"));

var _defineProperties = _interopRequireDefault(require("@babel/runtime-corejs2/core-js/object/define-properties"));

var _getOwnPropertyDescriptors = _interopRequireDefault(require("@babel/runtime-corejs2/core-js/object/get-own-property-descriptors"));

var _getOwnPropertyDescriptor = _interopRequireDefault(require("@babel/runtime-corejs2/core-js/object/get-own-property-descriptor"));

var _getOwnPropertySymbols = _interopRequireDefault(require("@babel/runtime-corejs2/core-js/object/get-own-property-symbols"));

var _keys = _interopRequireDefault(require("@babel/runtime-corejs2/core-js/object/keys"));

var _defineProperty3 = _interopRequireDefault(require("@babel/runtime-corejs2/helpers/defineProperty"));

var _logger = _interopRequireDefault(require("./logger"));

var _is = _interopRequireDefault(require("./is"));

function ownKeys(object, enumerableOnly) { var keys = (0, _keys["default"])(object); if (_getOwnPropertySymbols["default"]) { var symbols = (0, _getOwnPropertySymbols["default"])(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return (0, _getOwnPropertyDescriptor["default"])(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { (0, _defineProperty3["default"])(target, key, source[key]); }); } else if (_getOwnPropertyDescriptors["default"]) { (0, _defineProperties["default"])(target, (0, _getOwnPropertyDescriptors["default"])(source)); } else { ownKeys(source).forEach(function (key) { (0, _defineProperty2["default"])(target, key, (0, _getOwnPropertyDescriptor["default"])(source, key)); }); } } return target; }

var importExtend = function importExtend(extend, config, options, wbpConfig) {
  var packageName = "tdtool-".concat(extend);

  if (!_is["default"].pluginExists(packageName)) {
    _logger["default"].fatal("Please install ".concat(packageName, ", run 'npm i ").concat(packageName, " -D' or 'yarn add ").concat(packageName, " -D'"));

    return;
  }

  require("tdtool-".concat(extend)).load(config, options, wbpConfig);

  _logger["default"].success("Loaded success: ".concat(extend));
}; // 加载并装配插件


module.exports = function (config, options) {
  var defaultExtends = ['less', 'react'];

  if (process.env.NODE_ENV === 'development') {
    defaultExtends.push('mock');
  }

  defaultExtends.forEach(function (key) {
    importExtend(key, config, _objectSpread({}, options));
    config.concat('_extends', key);
  });
};
//# sourceMappingURL=load-extend.js.map