"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

var _keys = _interopRequireDefault(require("@babel/runtime-corejs2/core-js/object/keys"));

var _logger = _interopRequireDefault(require("./logger"));

module.exports = function (entries, f) {
  var dirty = false;
  entries.forEach(function (entry) {
    if (entry) {
      (0, _keys["default"])(entry).forEach(function (key) {
        var value = entry[key];
        var n = f(key, value);

        if (n && n !== value) {
          entry[key] = n;

          _logger["default"].info("".concat(key, " ").concat(n));

          dirty = true;
        }
      });
    }
  });
  return dirty;
};
//# sourceMappingURL=transform.js.map