"use strict";

var _interopRequireDefault = require("@babel/runtime-corejs2/helpers/interopRequireDefault");

var _keys = _interopRequireDefault(require("@babel/runtime-corejs2/core-js/object/keys"));

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime-corejs2/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime-corejs2/helpers/createClass"));

var _open = _interopRequireDefault(require("open"));

var _webpack = _interopRequireDefault(require("webpack"));

var _webpackDevServer = _interopRequireDefault(require("webpack-dev-server"));

var _logger = _interopRequireDefault(require("./logger"));

var _is = _interopRequireDefault(require("./is"));

var WebpackDevServer =
/*#__PURE__*/
function () {
  function WebpackDevServer(wbpcs, port, host) {
    (0, _classCallCheck2["default"])(this, WebpackDevServer);
    this.wbpcs = wbpcs;
    this.config = wbpcs.find(function (x) {
      return x.target !== 'node';
    });
    this.host = host;
    this.port = port;
    var hotEntry = ["webpack-dev-server/client?http://".concat(host, ":").concat(port), 'webpack/hot/dev-server']; // 为client端增加热加载模块

    this.wbpcs.filter(function (x) {
      x.mode = x.mode || 'development';
      return x.target !== 'node';
    }).forEach(function (config) {
      if (_is["default"].Array(config.entry)) {
        var _config$entry;

        (_config$entry = config.entry).unshift.apply(_config$entry, hotEntry);
      } else if (_is["default"].Object(config.entry)) {
        (0, _keys["default"])(config.entry).forEach(function (key) {
          if (_is["default"].Array(config.entry[key])) {
            var _config$entry$key;

            (_config$entry$key = config.entry[key]).unshift.apply(_config$entry$key, hotEntry);
          } else {
            config.entry[key] = [].concat(hotEntry, [config.entry[key]]);
          }
        });
      } else {
        config.entry = [].concat(hotEntry, [config.entry]);
      }
    });
    this.wbpcs.forEach(function (config) {
      delete config._extends;
    });
  }

  (0, _createClass2["default"])(WebpackDevServer, [{
    key: "run",
    value: function run() {
      var _this = this;

      new _webpackDevServer["default"]((0, _webpack["default"])(this.wbpcs), this.config.devServer).listen(this.port, this.host, function (err) {
        if (err) {
          _logger["default"].fatal(err);
        }

        _logger["default"].success("The server is running at http://".concat(_this.host, ":").concat(_this.port, "/"));

        (0, _open["default"])("http://".concat(_this.host, ":").concat(_this.port, "/"));
      });
    }
  }]);
  return WebpackDevServer;
}();

module.exports = WebpackDevServer;
//# sourceMappingURL=webpackDevServer.js.map